%global cpan_name MogileFS-Utils

Name:           perl-%{cpan_name}
Version:        2.22
Release:        1%{?dist}
Summary:        Utilities for MogileFS
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{cpan_name}/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DO/DORMANDO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# These listed in META.yml are needed at run-time only, no tests exist:
#BuildRequires:  perl(MogileFS::Client) >= 1.14
#BuildRequires:  perl(Compress::Zlib)
#BuildRequires:  perl(LWP::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(MogileFS::Client) >= 1.14

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(MogileFS::Client\\)$

%description
Utilities for the MogileFS distributed storage system.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/MogileFS
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Jan 30 2012 Petr Pisar <ppisar@redhat.com> - 2.22-1
- 2.22 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 01 2011 Petr Pisar <ppisar@redhat.com> - 2.21-1
- 2.21 bump
- Remove RPM 4.8 filtering

* Mon Jul 25 2011 Petr Pisar <ppisar@redhat.com> - 2.20-3
- RPM 4.9 dependency filtering added

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 2.20-2
- Perl mass rebuild

* Wed Jul 13 2011 Petr Pisar <ppisar@redhat.com> - 2.20-1
- 2.20 bump
- Clean up spec file
- Correct description
- Consolidate dependencies

* Wed Feb 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.19-1
- Upstream released new version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.16-2
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Jun 25 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.16-1
- Upstream released new version

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.12-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.12-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.12-2
Rebuild for new perl

* Thu Aug 09 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.12-1
- Upstream released new version
* Wed Jun 20 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.11-1
- Initial import
